package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ccd;
import com.brilliance.isc.vo.collection.CcdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.collection.CctselQueryVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CcdMapper {

    int insert(Ccd record);

    int insertSelective(Ccd record);

    int updateByPrimaryKeySelective(Ccd record);

    int updateByPrimaryKey(Ccd record);

    int deleteByPrimaryKey(Ccd record);

    int deleteByIds(Collection<Object> collection);

    Ccd selectByPrimaryKey(Ccd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ccd> dyncRead(Map<String,Object> dyncMap);

    String selectInrByownref(String ownref);

    List<CcdWithPtsCbbResponseVo> queryCcd(CctselQueryVo cctselQueryVo);
    List<CcdWithPtsCbbResponseVo> queryCcdInfo(CctselQueryVo cctselQueryVo);
}
